IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The refund object

Attributes

iduuid
booking_iduuid
bookings.id
invoice_iduuid
invoices.id
created_attimestamp with time zone
updated_attimestamp with time zone
amountinteger
commenttext
currencyCurrency
due_attimestamp with time zone | null
ftstsvector
paidinteger
policyjsonb
referencetext
statustext
The refund object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "invoice_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T07:12:45.878Z",
  "updated_at": "2026-03-12T07:12:45.878Z",
  "amount": 0,
  "comment": "",
  "currency": "USD",
  "due_at": "2026-03-12T07:12:45.878Z",
  "paid": 0,
  "policy": {},
  "reference": "",
  "status": ""
}

List refunds

Filters

idFilter<uuid>
booking_idFilter<uuid>
bookings.id
invoice_idFilter<uuid>
invoices.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
amountFilter<integer>
commentFilter<text>
currencyFilter<Currency>
due_atFilter<timestamp with time zone | null>
ftsFilter<tsvector>
paidFilter<integer>
policyFilter<jsonb>
referenceFilter<text>
statusFilter<text>

Responses

200

A list of refunds with the selected columns

206

Partial Content

GET /refunds
curl -X GET "https://api.bookingmood.com/v1/refunds?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create refunds

Body

Partial<Refund> | Array<Partial<Refund>>

Responses

201

The newly created refunds with the selected columns

POST /refunds
curl -X POST "https://api.bookingmood.com/v1/refunds" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete refunds

Filters

idFilter<uuid>
booking_idFilter<uuid>
bookings.id
invoice_idFilter<uuid>
invoices.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
amountFilter<integer>
commentFilter<text>
currencyFilter<Currency>
due_atFilter<timestamp with time zone | null>
ftsFilter<tsvector>
paidFilter<integer>
policyFilter<jsonb>
referenceFilter<text>
statusFilter<text>

Responses

204

The deleted refunds with the selected columns

DELETE /refunds
curl -X DELETE "https://api.bookingmood.com/v1/refunds" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update refunds

Filters

idFilter<uuid>
booking_idFilter<uuid>
bookings.id
invoice_idFilter<uuid>
invoices.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
amountFilter<integer>
commentFilter<text>
currencyFilter<Currency>
due_atFilter<timestamp with time zone | null>
ftsFilter<tsvector>
paidFilter<integer>
policyFilter<jsonb>
referenceFilter<text>
statusFilter<text>

Body

Partial<Refund>

Responses

204

The updated refunds with the selected columns

PATCH /refunds
curl -X PATCH "https://api.bookingmood.com/v1/refunds" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'